Subject: Re: bug#26298: 26.0.50; Gnus fails to sign mail with PGP

From: Toon Claes <[email-masked]>
Date: Mon, 14 Aug 2017 23:19:26 +0200 (CEST)

I have found what is happening.

If I add the following line to `mml-secure-epg-sign', I can successfully
sign my email:

#+begin_src emacs-lisp :tangle yes
    (setf (epg-context-pinentry-mode context) 'loopback)
#+end_src

Now I also understand why `epa-sign-file' works, I have set
`(setq epa-pinentry-mode 'loopback)' in my init.el.

But, I could use some advice on building a proper fix that would work
for everyone. We could do something similar like as epa.el does, and add
yet another defcustom, but doesn't feel very DRY.
So I hope someone can chime in to give some advice.

-- Toon